#ifndef FEMGROUP_H
#define FEMGROUP_H

#include "fem.h"
#include <map>

namespace fem
{

/// a set of entities (physical group)

class FEM_API Group
{
public:
    int dim; ///< dimension 0, 1, 2 or 3
    int tag; ///< gmsh id
    std::string name;
    std::vector<Entity *> entities;

public:
    Group(int _dim, int _tag);
    ~Group();

    void link_to_entities(std::map<std::pair<int, int>, Entity *> const &entities_by_dimtag);

    friend FEM_API std::ostream &operator<<(std::ostream &out, Group const &obj);
};

} // namespace fem

#endif // FEMGROUP_H
